package	jp.co.sds_corp.jdbrowser.status;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

public class ToolTipRenderer extends DefaultTableCellRenderer
{
	private static final long serialVersionUID = 1L;

	public Component getTableCellRendererComponent(
		JTable table, Object obj, boolean isSelected, boolean hasFocus,
		int row, int column)
	{
		JLabel lbl = (JLabel )super.getTableCellRendererComponent(
			table, obj, isSelected, hasFocus, row, column );
		if ( obj == null ) {
			return lbl;
		}
		lbl.setToolTipText( obj.toString() );
		return lbl;
	}

}
