package	jp.co.sds_corp.jdbrowser.generator;

import java.awt.Window;
import java.io.File;

import jp.co.sds_corp.jdbrowser.connect.ConnectInfo;
import jp.co.sds_corp.util.db.DbAccess;

public interface IGenerator
{
	public void select( DbAccess db,
			ConnectInfo con, String catalog, String schema, String table )
		throws Exception;
	public void generate( Window parent ) throws Exception;
	public void generate( File path ) throws Exception;
	public void generate( String file ) throws Exception;
}
