package	jp.co.sds_corp.jdbrowser.setup;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SpringLayout;

import jp.co.sds_corp.jdbrowser.SetupParam;
import jp.co.sds_corp.jdbrowser.generator.JavaParam;
import jp.co.sds_corp.util.common.CmnProperty;

public class JavaSetupPanel extends JPanel
{
	private static final long serialVersionUID = 1L;
	SetupParam	param;
	JavaParam	jprm;
	CmnProperty	prop;
	JTextField	TXT_PKG = new JTextField( 30 );
	JTextField	TXT_UTIL = new JTextField( 30 );
	JTextField	TXT_ENCODE = new JTextField( 10 );
	JTextField	TXT_GENCLS = new JTextField( 30 );
	JList		LIST_AUDIT = new JList();

	JavaSetupPanel( SetupParam param ) {
		this.param = param;
		this.jprm = param.getJavaParam();
		prop = new CmnProperty( "resource.jdbrowser" );

		JLabel lbl;
		// setLayout( new BoxLayout( this, BoxLayout.Y_AXIS ));
		SpringLayout layout = new SpringLayout();
		setLayout( layout );

		lbl = new JLabel( "package:" );
		layout.putConstraint( SpringLayout.WEST, lbl,
			5, SpringLayout.WEST, this );
		layout.putConstraint( SpringLayout.NORTH, lbl,
			5, SpringLayout.NORTH, this );
		add( lbl );
		layout.putConstraint( SpringLayout.WEST, TXT_PKG,
			30, SpringLayout.EAST, lbl );
		layout.putConstraint( SpringLayout.NORTH, TXT_PKG,
			0, SpringLayout.NORTH, lbl );
		add( TXT_PKG );

		lbl = new JLabel( "util package:" );
		layout.putConstraint( SpringLayout.WEST, lbl,
			5, SpringLayout.WEST, this );
		layout.putConstraint( SpringLayout.NORTH, lbl,
			5, SpringLayout.SOUTH, TXT_PKG );
		add( lbl );
		layout.putConstraint( SpringLayout.WEST, TXT_UTIL,
			0, SpringLayout.WEST, TXT_PKG );
		layout.putConstraint( SpringLayout.NORTH, TXT_UTIL,
			0, SpringLayout.NORTH, lbl );
		add( TXT_UTIL );

		lbl = new JLabel( "Encode:" );
		layout.putConstraint( SpringLayout.WEST, lbl,
			5, SpringLayout.WEST, this );
		layout.putConstraint( SpringLayout.NORTH, lbl,
			5, SpringLayout.SOUTH, TXT_UTIL );
		add( lbl );
		layout.putConstraint( SpringLayout.WEST, TXT_ENCODE,
			0, SpringLayout.WEST, TXT_UTIL );
		layout.putConstraint( SpringLayout.NORTH, TXT_ENCODE,
			0, SpringLayout.NORTH, lbl );
		add( TXT_ENCODE );
	}

	protected void setup() {
		TXT_PKG.setText( jprm.getPackage() );
		TXT_UTIL.setText( jprm.getUtilPackage() );
		TXT_ENCODE.setText( jprm.getEncode() );
	}

	protected boolean check() {
		return true;
	}
	protected void update() {
		jprm.setPackage( TXT_PKG.getText() );
		jprm.setUtilPackage( TXT_UTIL.getText() );
		String text = TXT_ENCODE.getText();
		if ( text != null && text.length() > 0 ) {
			jprm.setEncode( text );
		}
	}

}
